Subject: Re: bug#38295: manual-config php-fpm mismatch

From: Efraim Flashner <[email-masked]>
Date: Thu, 21 Nov 2019 12:11:51 +0200

On Wed, Nov 20, 2019 at 04:43:27PM +0100, Tobias Geerinckx-Rice via Bug reports for GNU Guix wrote:
> Efraim,
> 
> Efraim Flashner 写道：
> > In (gnu services web) for <php-fpm-configuration> it says that default
> > for 'socket-group' is "nginx". In the manual, in 8.8.16 (Web Services),
> > it says the socket-group default is php-fpm.
> 
> Good catch.
> 

I've been hanging out in that code for the past week or so and I find I
can move around the code faster than the manual in a webpage.

> > Obviously when deploying the code trumps the manual, but what is it
> > supposed to be?
> 
> I think the code should follow the manual.  More privsep == better.

After some searching I didn't see an nginx user or group so there's
another reason. I'll go ahead and patch it.

> Kind regards,
> T G-R

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted